/*
 * OpenAPI definition
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v0
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package com.gitlab.rcktsci.hackatons.x5.codegen.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Objects;

/**
 * Команда на снятие сотрудника с кассы и начало отдыха.
 */
@Schema(description = "Команда на снятие сотрудника с кассы и начало отдыха.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2021-08-29T20:10:20.018547+03:00[Europe/Moscow]")
public class SetOffCheckoutLineCommand {

    @SerializedName("employeeId")
    private Integer employeeId = null;

    public SetOffCheckoutLineCommand employeeId(Integer employeeId) {
        this.employeeId = employeeId;
        return this;
    }

    /**
     * Id сотрудника
     *
     * @return employeeId
     **/
    @Schema(required = true, description = "Id сотрудника")
    public Integer getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Integer employeeId) {
        this.employeeId = employeeId;
    }

    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SetOffCheckoutLineCommand setOffCheckoutLineCommand = (SetOffCheckoutLineCommand) o;
        return Objects.equals(this.employeeId, setOffCheckoutLineCommand.employeeId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(employeeId);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class SetOffCheckoutLineCommand {\n");

        sb.append("    employeeId: ").append(toIndentedString(employeeId)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }
}
